/*
** FILE NAME:   testwin.c
**
** PROJECT ID:  94-0040
**
** TITLE:       File that tests all the DSPLIB Window functions
**
** AUTHOR:      Ensigma Ltd.
**
** DESCRIPTION: The file allocates a character array and calls each
**              test function in turn which writes into this array.
**
** MODIFICATION HISTORY:
**
**              1.00    15-Sep-95       Initial Revision
**
*/

#include <stdio.h>
#include <ensigdsp.h>
#include "testhead.h"

 /*#define NOPRINTF*//* use dummy printf() */
#define NFN     20              /* number of functions */

#ifdef NOPRINTF
int 
printf(const char *rcode,...)
{
}
#endif

char rcode[NFN][100];


void 
main()
{
	int     find;
	for (find = 0; find < NFN; find ++)    
		rcode[find][0] = '\0';

	find = 0;
	printf("Start of testwin.c");
    printf("Testing Window routines\n");

    Tstwin(rcode[find]);
    printf("%s", rcode[find++]);
}
